> ## Documentation Index
> Fetch the complete documentation index at: https://docs.knoxcall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secrets

> Returns a paginated list of secrets with metadata only (no values)

## List Secrets

```http theme={"dark"}
GET /v1/secrets
```

Returns a paginated list of secrets with metadata only (no values).

### Query Parameters

| Parameter  | Type    | Default | Description                                          |
| ---------- | ------- | ------- | ---------------------------------------------------- |
| `page`     | integer | `1`     | Page number                                          |
| `per_page` | integer | `20`    | Items per page (max 100)                             |
| `sort`     | string  | `name`  | Sort by: `created_at`, `name`, or `base_environment` |
| `order`    | string  | `asc`   | Sort direction: `asc` or `desc`                      |

### Response

```json theme={"dark"}
{
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "STRIPE_API_KEY",
      "shortcode_name": "STRIPE_API_KEY",
      "base_environment": "production",
      "secret_type": "string",
      "collection_id": null,
      "created_at": "2026-01-15T09:30:00.000Z",
      "environment_count": 3,
      "expires_at": null,
      "strict_expiry_enforcement": false
    }
  ],
  "meta": {
    "total": 12,
    "page": 1,
    "per_page": 20,
    "total_pages": 1,
    "request_id": "550e8400-e29b-41d4-a716-446655440000"
  }
}
```

<CodeGroup>
  ```bash cURL theme={"dark"}
  curl "https://api.knoxcall.com/v1/secrets?sort=name&order=asc" \
    -H "Authorization: Bearer tk_live_abc123..."
  ```

  ```python Python theme={"dark"}
  import requests

  resp = requests.get(
      "https://api.knoxcall.com/v1/secrets",
      params={"sort": "name", "order": "asc"},
      headers={"Authorization": "Bearer tk_live_abc123..."}
  )
  secrets = resp.json()["data"]
  ```

  ```javascript Node.js theme={"dark"}
  const resp = await fetch("https://api.knoxcall.com/v1/secrets?sort=name&order=asc", {
    headers: { Authorization: "Bearer tk_live_abc123..." }
  });
  const { data: secrets, meta } = await resp.json();
  ```
</CodeGroup>
